Skip to main content
POST
/
organization
/
createDocument
/
{organizationId}
Create business customer documents
curl --request POST \
  --url https://gateway.varchev.com/customer/organization/createDocument/{organizationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
[
  {
    "purpose": "KYB",
    "name": "<string>",
    "documentType": "ID front side",
    "location": "<string>",
    "verificationResponse": "<string>",
    "status": "underverification",
    "metadata": [
      {
        "name": "<string>",
        "type": "Number",
        "value": "<string>"
      }
    ]
  }
]
'
{
  "tenantId": "<string>",
  "organizationId": "<string>",
  "documentIds": [
    {
      "documentId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Path Parameters

organizationId
string
required

Organization id

Body

application/json
purpose
enum<string>
Available options:
KYB,
KYC,
PEP&SANCTION
name
string
documentType
enum<string>
Available options:
ID front side,
ID back side,
Passport,
accountAuthority,
shareholderStructure,
operationAddress,
registeredAddress,
selfie,
livelinessDetection
location
string
verificationResponse
string
status
enum<string>
Available options:
underverification,
verified,
declined,
incomplete,
expired
metadata
object[]

Response

Create organization document response

tenantId
string
organizationId
string
documentIds
object[]